Package org.drinkless.tdlib

# Class TdApi.GetAllStickerEmojis

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Emojis>
org.drinkless.tdlib.TdApi.GetAllStickerEmojis

Enclosing class:
  `TdApi`

public static class TdApi.GetAllStickerEmojis extends TdApi.Function<TdApi.Emojis>
Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

Returns `Emojis`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier for which to find stickers.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `query`
  Search query.
  `boolean`
  `returnOnlyMainEmoji`
  Pass true if only main emoji for each found sticker must be included in the result.
  `TdApi.StickerType`
  `stickerType`
  Type of the stickers to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAllStickerEmojis()`
  Default constructor for a function, which returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).
  `GetAllStickerEmojis(TdApi.StickerType stickerType, String query, long chatId, boolean returnOnlyMainEmoji)`
  Creates a function, which returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerType

    public TdApi.StickerType stickerType
    Type of the stickers to search for.

  - ### query

    public String query
    Search query.

  - ### chatId

    public long chatId
    Chat identifier for which to find stickers.

  - ### returnOnlyMainEmoji

    public boolean returnOnlyMainEmoji
    Pass true if only main emoji for each found sticker must be included in the result.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetAllStickerEmojis

    public GetAllStickerEmojis()
    Default constructor for a function, which returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

    Returns `Emojis`

  - ### GetAllStickerEmojis

    public GetAllStickerEmojis(TdApi.StickerType stickerType, String query, long chatId, boolean returnOnlyMainEmoji)
    Creates a function, which returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

    Returns `Emojis`

    Parameters:
      `stickerType` - Type of the stickers to search for.
      `query` - Search query.
      `chatId` - Chat identifier for which to find stickers.
      `returnOnlyMainEmoji` - Pass true if only main emoji for each found sticker must be included in the result.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Emojis>`
    Returns:
      this.CONSTRUCTOR